package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag721;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT721Creator;

/**
 * @author wuzhe
 * @date 2023/2/28
 */
public class Tag27Creator extends AbsTagCreate {

     private MT721Creator mt721Creator;

    public Tag27Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt721Creator= (MT721Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag27Value = mt721Creator.getSequenceofTotal();
        mt721Creator.set("27", tag27Value);
    }
}
